Page MenuHomePhabricator

Keep TorExitNodes node list cache populated in *both* datacenters
Closed, ResolvedPublic

Description

Either:
a) Update puppet config to do run the loadExitNodes cron in both DCs to update the DC-local cache
b) Use the main object stash to replicate the data

Details

Related Gerrit Patches:
mediawiki/extensions/TorBlock : masterConverted node cache to using getMainStashInstance()

Event Timeline

aaron created this task.Apr 30 2015, 7:11 PM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added a project: Availability.
aaron added subscribers: Gilles, GWicke, mark and 7 others.
aaron renamed this task from Run LoadExitNodes TOR cron script in both DCs to Keep TorExitNodes node list cache populated in *both* datacenters.Oct 2 2015, 6:40 AM
aaron updated the task description. (Show Details)
aaron set Security to None.

Change 243113 had a related patch set uploaded (by Aaron Schulz):
Converted node cache to using getMainStashInstance()

https://gerrit.wikimedia.org/r/243113

Change 243113 merged by jenkins-bot:
Converted node cache to using getMainStashInstance()

https://gerrit.wikimedia.org/r/243113

aaron closed this task as Resolved.Oct 4 2015, 8:01 PM